Generate images (deprecated)
curl --request POST \
--url https://api.example.com/api/ai/image/generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
'import requests
url = "https://api.example.com/api/ai/image/generation"
payload = {
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/dall-e-3',
prompt: 'A serene landscape with mountains and a lake at sunset'
})
};
fetch('https://api.example.com/api/ai/image/generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "<string>",
"images": [
{
"type": "image_url",
"image_url": {
"url": "<string>"
}
}
],
"text": "<string>",
"count": 123,
"metadata": {
"model": "<string>",
"revisedPrompt": "<string>",
"usage": {
"promptTokens": 123,
"completionTokens": 123,
"totalTokens": 123
}
},
"nextActions": "Images have been generated successfully. Use the returned URLs or base64 data to access them."
}Client
Generate images (deprecated)
deprecated
Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.
POST
/
api
/
ai
/
image
/
generation
Generate images (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Images generated successfully
Model used for generation
Show child attributes
Show child attributes
Text content from multimodal models
Number of images generated
Show child attributes
Show child attributes
Example:
"Images have been generated successfully. Use the returned URLs or base64 data to access them."
Was this page helpful?
⌘I